Package weka.knowledgeflow

# Class KFDefaults

java.lang.Object
weka.core.Defaults
weka.knowledgeflow.KFDefaults

All Implemented Interfaces:
  `Serializable`

public class KFDefaults extends Defaults
Default settings for the Knowledge Flow

Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APP_ID`
  `static final String`
  `APP_NAME`
  `static final Color`
  `GRID_COLOR`
  `static final Settings.SettingKey`
  `GRID_COLOR_KEY`
  `static final int`
  `GRID_SPACING`
  `static final Settings.SettingKey`
  `GRID_SPACING_KEY`
  `static final String`
  `LAF`
  `static final Color`
  `LAYOUT_COLOR`
  `static final Settings.SettingKey`
  `LAYOUT_COLOR_KEY`
  `static final int`
  `LAYOUT_HEIGHT`
  `static final Settings.SettingKey`
  `LAYOUT_HEIGHT_KEY`
  `static final int`
  `LAYOUT_WIDTH`
  `static final Settings.SettingKey`
  `LAYOUT_WIDTH_KEY`
  `static final LoggingLevel`
  `LOGGING_LEVEL`
  `static final Settings.SettingKey`
  `LOGGING_LEVEL_KEY`
  `static final String`
  `MAIN_PERSPECTIVE_ID`
  `static final int`
  `MAX_UNDO_POINTS`
  `static final Settings.SettingKey`
  `MAX_UNDO_POINTS_KEY`
  `static final int`
  `SCROLL_BAR_INCREMENT_LAYOUT`
  `static final boolean`
  `SHOW_GRID`
  `static final Settings.SettingKey`
  `SHOW_GRID_KEY`
  `static final boolean`
  `SHOW_JTREE_GLOBAL_INFO_TIPS`
  `static final Settings.SettingKey`
  `SHOW_JTREE_TIP_TEXT_KEY`
  `static final int`
  `STEP_LABEL_FONT_SIZE`
  `static final Settings.SettingKey`
  `STEP_LABEL_FONT_SIZE_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KFDefaults()`

- ## Method Summary

  ### Methods inherited from class weka.core.Defaults

  `add, getDefaults, getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### APP_NAME

    public static final String APP_NAME
    See Also:
      - Constant Field Values

  - ### APP_ID

    public static final String APP_ID
    See Also:
      - Constant Field Values

  - ### MAIN_PERSPECTIVE_ID

    public static final String MAIN_PERSPECTIVE_ID
    See Also:
      - Constant Field Values

  - ### MAX_UNDO_POINTS_KEY

    public static final Settings.SettingKey MAX_UNDO_POINTS_KEY

  - ### MAX_UNDO_POINTS

    public static final int MAX_UNDO_POINTS
    See Also:
      - Constant Field Values

  - ### LAYOUT_COLOR_KEY

    public static final Settings.SettingKey LAYOUT_COLOR_KEY

  - ### LAYOUT_COLOR

    public static final Color LAYOUT_COLOR

  - ### SHOW_GRID_KEY

    public static final Settings.SettingKey SHOW_GRID_KEY

  - ### SHOW_GRID

    public static final boolean SHOW_GRID
    See Also:
      - Constant Field Values

  - ### GRID_COLOR_KEY

    public static final Settings.SettingKey GRID_COLOR_KEY

  - ### GRID_COLOR

    public static final Color GRID_COLOR

  - ### GRID_SPACING_KEY

    public static final Settings.SettingKey GRID_SPACING_KEY

  - ### GRID_SPACING

    public static final int GRID_SPACING
    See Also:
      - Constant Field Values

  - ### SCROLL_BAR_INCREMENT_LAYOUT

    public static final int SCROLL_BAR_INCREMENT_LAYOUT
    See Also:
      - Constant Field Values

  - ### LAYOUT_WIDTH_KEY

    public static final Settings.SettingKey LAYOUT_WIDTH_KEY

  - ### LAYOUT_HEIGHT_KEY

    public static final Settings.SettingKey LAYOUT_HEIGHT_KEY

  - ### LAYOUT_WIDTH

    public static final int LAYOUT_WIDTH
    See Also:
      - Constant Field Values

  - ### LAYOUT_HEIGHT

    public static final int LAYOUT_HEIGHT
    See Also:
      - Constant Field Values

  - ### STEP_LABEL_FONT_SIZE_KEY

    public static final Settings.SettingKey STEP_LABEL_FONT_SIZE_KEY

  - ### STEP_LABEL_FONT_SIZE

    public static final int STEP_LABEL_FONT_SIZE
    See Also:
      - Constant Field Values

  - ### LOGGING_LEVEL_KEY

    public static final Settings.SettingKey LOGGING_LEVEL_KEY

  - ### LOGGING_LEVEL

    public static final LoggingLevel LOGGING_LEVEL

  - ### SHOW_JTREE_TIP_TEXT_KEY

    public static final Settings.SettingKey SHOW_JTREE_TIP_TEXT_KEY

  - ### SHOW_JTREE_GLOBAL_INFO_TIPS

    public static final boolean SHOW_JTREE_GLOBAL_INFO_TIPS
    See Also:
      - Constant Field Values

  - ### LAF

    public static final String LAF
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KFDefaults

    public KFDefaults()